List UpCloud load balancer plans
import requests
url = "https://platform.ankra.app/api/v1/clusters/upcloud/load-balancer-plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/upcloud/load-balancer-plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/upcloud/load-balancer-plans \
--header 'Authorization: Bearer <token>'[
{
"name": "<string>",
"server_number": 123,
"per_server_max_sessions": 123,
"highly_available": true
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}UpCloud Clusters
List UpCloud load balancer plans
List UpCloud’s managed load balancer plans, read live with the given credential: the choices for load_balancer_plan when creating an UpCloud cluster. development runs one load balancer node; the production plans run two (highly_available) and differ in session capacity.
GET
/
api
/
v1
/
clusters
/
upcloud
/
load-balancer-plans
List UpCloud load balancer plans
import requests
url = "https://platform.ankra.app/api/v1/clusters/upcloud/load-balancer-plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/upcloud/load-balancer-plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/upcloud/load-balancer-plans \
--header 'Authorization: Bearer <token>'[
{
"name": "<string>",
"server_number": 123,
"per_server_max_sessions": 123,
"highly_available": true
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.